# Interface LooseWorkModel

interface LooseWorkModel {
coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
};
file_url?: string;
layers?: [
{ name?: string; tileset_url: string; type?: string; up_axis?: string },
];
material_base_url?: string;
material_textures?: string[];
tiles?: {
name?: string;
tileset_url: string;
type?: string;
up_axis?: string;
};
up_axis?: string;
}

- Defined in lib/five/work/looseWorkType.ts:37

##### Index

### Properties

coordinate?
file_url?
layers?
material_base_url?
material_textures?
tiles?
up_axis?

## Properties

### `Optional` coordinate

coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
}

- Defined in lib/five/work/looseWorkType.ts:42

### `Optional` file_url

file_url?: string

- Defined in lib/five/work/looseWorkType.ts:38

### `Optional` layers

layers?: [
{ name?: string; tileset_url: string; type?: string; up_axis?: string },
]

- Defined in lib/five/work/looseWorkType.ts:49

### `Optional` material_base_url

material_base_url?: string

- Defined in lib/five/work/looseWorkType.ts:40

### `Optional` material_textures

material_textures?: string[]

- Defined in lib/five/work/looseWorkType.ts:39

### `Optional` tiles

tiles?: { name?: string; tileset_url: string; type?: string; up_axis?: string }

- Defined in lib/five/work/looseWorkType.ts:43

### `Optional` up_axis

up_axis?: string

- Defined in lib/five/work/looseWorkType.ts:41